tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mladen Turk <mt...@apache.org>
Subject Re: tcnative API stability/compatibility
Date Fri, 02 Jan 2009 11:37:52 GMT
Rainer Jung wrote:
> On 02.01.2009 11:57, Mladen Turk wrote:
>>
>> It doesn't mater if the API is stable or not.
>> Tomcat will just depend on tomcat-native-1.xx.noarch.bin.zip and use the
>> pre-compiled .jar
>> (like any other jakarta-commons component for example)
> 
> OK, I think that's exactly what I meant with a) and with removing the 
> Java class copies from the Tomcat source tree. The jar file with the 
> o.a.tomcat.jni classes would be part of the tomcat-native binary release 
> (which it is not now) and the Tomcat build procedure would download the 
> tomcat-native binary release and unpack like it does for commons.
> 

Exactly.

Regards
-- 
^(TM)

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message